Bug 216834 - unchecked malloc in sunrpc/svc_run.c
unchecked malloc in sunrpc/svc_run.c
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
http://sources.redhat.com/bugzilla/sh...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 00:48 EST by Chris Snook
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to catch and report malloc failure and return gracefully (466 bytes, patch)
2006-11-22 00:55 EST, Chris Snook
no flags Details | Diff

  None (edit)
Description Chris Snook 2006-11-22 00:48:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20060911 Red Hat/1.5.0.7-0.1.el4 Firefox/1.5.0.7 pango-text

Description of problem:
Reported upstream:

http://sources.redhat.com/bugzilla/show_bug.cgi?id=3559

my_pollfd malloc() is unchecked, which could result in a segmentation fault.

Version-Release number of selected component (if applicable):
all current RHEL and Fedora versions

How reproducible:
Didn't try


Steps to Reproduce:
The bug is not easily reproducible on demand, but could be responsible for some unexplained ypbind crashes.

Actual Results:
An ill-timed malloc() failure would cause a segmentation fault.

Expected Results:
The failure should be caught and reported, and the function should return gracefully to permit the calling application to handle it.

Additional info:
This was discovered by code inspection while troubleshooting ypbind.
Comment 1 Chris Snook 2006-11-22 00:55:07 EST
Created attachment 141875 [details]
patch to catch and report malloc failure and return gracefully

This patch has also been submitted upstream:

http://sources.redhat.com/bugzilla/show_bug.cgi?id=3559
Comment 2 Jakub Jelinek 2006-11-29 14:04:54 EST
Should be fixed in glibc-2.5-6 in dist-5E.
Comment 3 RHEL Product and Program Management 2006-11-29 14:30:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Paul Dickson 2006-12-01 09:57:08 EST
Would this change be causing bug#218036.  The changelog for glibc-2.5.90-8 is
rather short.
Comment 5 Jay Turner 2007-01-10 21:42:48 EST
QE ack for RHEL5.
Comment 6 RHEL Product and Program Management 2007-02-07 19:46:28 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.